Click or drag to resize

HatchCreateFromBrep Method

Create a hatch from a planar face of a Brep

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Hatch CreateFromBrep(
	Brep brep,
	int brepFaceIndex,
	int hatchPatternIndex,
	double rotationRadians,
	double scale,
	Point3d basePoint
)

Parameters

brep
Type: Rhino.GeometryBrep

[Missing <param name="brep"/> documentation for "M:Rhino.Geometry.Hatch.CreateFromBrep(Rhino.Geometry.Brep,System.Int32,System.Int32,System.Double,System.Double,Rhino.Geometry.Point3d)"]

brepFaceIndex
Type: SystemInt32

[Missing <param name="brepFaceIndex"/> documentation for "M:Rhino.Geometry.Hatch.CreateFromBrep(Rhino.Geometry.Brep,System.Int32,System.Int32,System.Double,System.Double,Rhino.Geometry.Point3d)"]

hatchPatternIndex
Type: SystemInt32

[Missing <param name="hatchPatternIndex"/> documentation for "M:Rhino.Geometry.Hatch.CreateFromBrep(Rhino.Geometry.Brep,System.Int32,System.Int32,System.Double,System.Double,Rhino.Geometry.Point3d)"]

rotationRadians
Type: SystemDouble

[Missing <param name="rotationRadians"/> documentation for "M:Rhino.Geometry.Hatch.CreateFromBrep(Rhino.Geometry.Brep,System.Int32,System.Int32,System.Double,System.Double,Rhino.Geometry.Point3d)"]

scale
Type: SystemDouble

[Missing <param name="scale"/> documentation for "M:Rhino.Geometry.Hatch.CreateFromBrep(Rhino.Geometry.Brep,System.Int32,System.Int32,System.Double,System.Double,Rhino.Geometry.Point3d)"]

basePoint
Type: Rhino.GeometryPoint3d

[Missing <param name="basePoint"/> documentation for "M:Rhino.Geometry.Hatch.CreateFromBrep(Rhino.Geometry.Brep,System.Int32,System.Int32,System.Double,System.Double,Rhino.Geometry.Point3d)"]

Return Value

Type: Hatch

[Missing <returns> documentation for "M:Rhino.Geometry.Hatch.CreateFromBrep(Rhino.Geometry.Brep,System.Int32,System.Int32,System.Double,System.Double,Rhino.Geometry.Point3d)"]

See Also